com.oracle.truffle.api.object

## Interface TypedLocation

All Superinterfaces:
  BaseLocation

All Known Subinterfaces:
  BooleanLocation, DoubleLocation, IntLocation, LocationImpl.InternalLongLocation, LocationImpl.TypedObjectLocation<T>, LongLocation, ObjectLocation

All Known Implementing Classes:
  BasicLocations.BooleanLocationDecorator, BasicLocations.DoubleLocationDecorator, BasicLocations.IntLocationDecorator, BasicLocations.LongArrayLocation, BasicLocations.LongFieldLocation, BasicLocations.LongLocationDecorator, BasicLocations.ObjectArrayLocation, BasicLocations.ObjectFieldLocation, BasicLocations.SimpleLongFieldLocation, BasicLocations.SimpleObjectFieldLocation, Locations.DeclaredDualLocation, Locations.DualLocation

    public interface TypedLocation
    extends BaseLocation

### Method Summary

Methods
`java.lang.Class<?>` `getType()` The type of this location.

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### getType

    java.lang.Class<?> getType()

The type of this location.